summaryrefslogtreecommitdiffstats
path: root/src/compiler/glsl/tests/warnings-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/compiler/glsl/tests/warnings-test.sh')
-rwxr-xr-xsrc/compiler/glsl/tests/warnings-test.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/compiler/glsl/tests/warnings-test.sh b/src/compiler/glsl/tests/warnings-test.sh
index 6a52d4064f8..b19e2fe5171 100755
--- a/src/compiler/glsl/tests/warnings-test.sh
+++ b/src/compiler/glsl/tests/warnings-test.sh
@@ -6,6 +6,11 @@ compiler=./glsl_compiler
total=0
pass=0
+if [ ! -x "$compiler" ]; then
+ echo "Could not find glsl_compiler. Ensure that it is build via make check"
+ exit 1
+fi
+
echo "====== Testing compilation output ======"
for test in `find . -iname '*.vert'`; do
echo -n "Testing $test..."